# Change Log

A log of changes made to primary tables. The childType will show if a child structure was altered for the given primaryType and primaryId

## Get a list of changes

> Return a list of available changes

```json
{"openapi":"3.0.0","info":{"title":"DataCore API  - Volleyball","version":"v1"},"tags":[{"name":"Change Log","description":"A log of changes made to primary tables.  The childType will show if a child structure was altered for the given primaryType and primaryId"}],"servers":[{"url":"https://api.dc.connect.sportradar.com/v1","description":"Production server"},{"url":"https://api.dc.stg.connect-nonprod.sportradar.dev/v1","description":"NonProduction/Staging server"}],"security":[{"OAuth2":["read:organization"]}],"components":{"securitySchemes":{"OAuth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth/token","scopes":{"orgId":"Authenticate based on a specific OrganizationId","read:orggroup":"Read data over multiple organizations using and *orggroup* code","write:organization":"Write/Update any data from below the organization","read:organization":"Read any data from the organization down","write:admin":"Perform administration API calls","write:admin_organization":"Ability to manage organizations","write:system":"Perform system configuration API calls"}}},"description":"You can create a JSON Web Token (JWT) using the [token](http://developer.connect.sportradar.com/token/#operation/getToken) API call. Each token is given a set of scopes/permissions. Each endpoint has a scope/permission that it requires to run.  If your token does not possess the correct scope then you will be unable to make the API call."}},"schemas":{"ResponseMetaData":{"type":"object","properties":{"version":{"type":"integer","description":"The version of the API in use for this call"},"codeVersion":{"type":"string","description":"A string indicating the version of the code that handled this request"},"code":{"type":"integer","description":"The HTTP response code for this request"},"time":{"type":"string","format":"date-time","description":"The date/time this request was made (in UTC)."},"fromCache":{"type":"boolean","description":"Was this request served directly from the cache?"},"count":{"type":"integer","description":"The number of records being returned"},"limit":{"type":"integer","description":"The record limit in place for this request"},"offset":{"type":"integer","description":"The record offset in place for this request"},"generationTime":{"type":"number","format":"float","description":"The number of seconds taken to generate this request."}}},"ResponseLinks":{"type":"object","properties":{"self":{"type":"string","format":"uri","description":"The URI referencing this request."},"next":{"type":"string","format":"uri","description":"The URI referencing the 'next' page, if more data is available."},"previous":{"type":"string","format":"uri","description":"The URI referencing the 'previous' page, if the request is not on the first page."}}},"IncludedData":{"type":"object","description":"Available if the request used the 'include' parameter.  It contains extra data about resources found in the data block.","properties":{"resources":{"type":"object","additionalProperties":{"description":"The type of resource","type":"object","enum":["league","organisation","persons"],"additionalProperties":{"type":"object","format":"uuid","description":"The id of the resource","additionalProperties":{"description":"The model for the resource as defined by the type and id"}}}}}},"Change_LogModel":{"type":"object","additionalProperties":false,"properties":{"organizationId":{"description":"The unique identifier of the organization","type":"string","readOnly":true},"organization":{"properties":{"resourceType":{"type":"string","enum":["organizations"]},"id":{"description":"Unique identifier for this resource","type":"string"}},"description":"The organization that this change_log belongs to","type":"object"},"changeType":{"description":"The type of change\n>- `delete` Record Deleted\n>- `fixture_change` Fixture schedule Change\n>- `fixture_reset` Fixture Reset\n>- `fixture_videostream_disable` Enable Video Stream\n>- `fixture_videostream_enable` Enable Video Stream\n>- `move` Record Moved\n>- `post` Record Created\n>- `put` Record Changed\n>- `update` Record Updated\n","type":"string","enum":["post","put","move","delete","update","fixture_change","fixture_reset","fixture_videostream_enable","fixture_videostream_disable"]},"primaryType":{"description":"The primary table changed","type":"string","maxLength":30},"primaryId":{"description":"The unique identifier of the primaryType","type":"string","format":"uuid"},"childType":{"description":"The child table changed","type":"string","maxLength":30},"changeMessage":{},"added":{"description":"Date/time added. In UTC","type":"string","format":"date-time","readOnly":true}},"title":"change_log model"},"ErrorModel":{"type":"object","properties":{"code":{"type":"integer","description":"HTTP Error code indicating the type of error.  If there are multiple errors, then this will be the code of the first one.","format":"int32"},"message":{"type":"string","description":"A message indicating the reason for the error. If there are multiple errors, then this is the message for the first one."},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorListModel"}}}},"ErrorListModel":{"type":"object","properties":{"code":{"type":"integer","description":"HTTP Error code indicating the type of error.","format":"int32"},"reason":{"enum":["INVALID_DATA","NOT_FOUND","NOT_AUTHORISED","ERROR","DELETE_ERROR"],"description":"A short code indicating the type of error"},"message":{"type":"string","description":"A message indicating the reason for the error"},"rowNumber":{"type":"integer","description":"The row number of the payload that cause the error","format":"int32"}}}},"responses":{"ErrorResponse":{"description":"Error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/ResponseMetaData"},"error":{"$ref":"#/components/schemas/ErrorModel"}}}}}}},"parameters":{"added":{"name":"added","description":"Record was added after this date/time. In UTC.","schema":{"type":"string","format":"date-time"},"required":false,"in":"query"},"changeType":{"name":"changeType","description":"The type of change. Multiple allowed (comma-delimited).\n>- `delete` Record Deleted\n>- `fixture_change` Fixture schedule Change\n>- `fixture_reset` Fixture Reset\n>- `fixture_videostream_disable` Enable Video Stream\n>- `fixture_videostream_enable` Enable Video Stream\n>- `move` Record Moved\n>- `post` Record Created\n>- `put` Record Changed\n>- `update` Record Updated\n","schema":{"type":"string","enum":["post","put","move","delete","update","fixture_change","fixture_reset","fixture_videostream_enable","fixture_videostream_disable"]},"required":false,"in":"query"},"childType":{"name":"childType","description":"The child table changed","schema":{"type":"string","maxLength":30},"required":false,"in":"query"},"external":{"name":"external","description":"A comma separated list of fields that will instead be interpreted as an externalId. See [External Ids](#section/Introduction/External-Ids) for more information.","schema":{"type":"string"},"required":false,"in":"query"},"fields":{"name":"fields","description":"A comma separated list of fields to display.  The response will only display these fields. See [Partial Response](#section/Partial-Response) section for more information.","schema":{"type":"string"},"required":false,"in":"query"},"hideNull":{"name":"hideNull","description":"Don't display data fields with null values or empty structures","schema":{"type":"boolean"},"required":false,"in":"query"},"include":{"name":"include","description":"A comma separated list of resource types to include. See [Resource Inclusion](#section/Introduction/Resource-Inclusion) for more information.","schema":{"type":"string"},"required":false,"in":"query"},"includeTotalCount":{"name":"includeTotalCount","description":"Include the total number of records matching the filters.","schema":{"type":"boolean"},"required":false,"in":"query"},"limit":{"name":"limit","description":"The maximum number of records to return. See [Pagination](#section/Introduction/Pagination) for more information.","schema":{"type":"integer","format":"int32","maximum":1000,"minimum":1,"default":10},"required":false,"in":"query"},"offset":{"name":"offset","description":"The offset of the records. See [Pagination](#section/Introduction/Pagination) for more information.","schema":{"type":"integer","format":"int32"},"required":false,"in":"query"},"primaryId":{"name":"primaryId","description":"The unique identifier of the primaryType","schema":{"type":"string","format":"uuid"},"required":false,"in":"query"},"primaryType":{"name":"primaryType","description":"The primary table changed","schema":{"type":"string","maxLength":30},"required":false,"in":"query"}}},"paths":{"/volleyball/o/{organizationId}/changeLog":{"get":{"tags":["Change Log"],"summary":"Get a list of changes","description":"Return a list of available changes","operationId":"change_log_list","responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"type":"object","title":"Change_Log Response","properties":{"meta":{"$ref":"#/components/schemas/ResponseMetaData"},"links":{"$ref":"#/components/schemas/ResponseLinks"},"included":{"$ref":"#/components/schemas/IncludedData"},"data":{"type":"array","description":"","items":{"$ref":"#/components/schemas/Change_LogModel"}}}}}}},"default":{"$ref":"#/components/responses/ErrorResponse"}},"parameters":[{"$ref":"#/components/parameters/added"},{"$ref":"#/components/parameters/changeType"},{"$ref":"#/components/parameters/childType"},{"$ref":"#/components/parameters/external"},{"$ref":"#/components/parameters/fields"},{"$ref":"#/components/parameters/hideNull"},{"$ref":"#/components/parameters/include"},{"$ref":"#/components/parameters/includeTotalCount"},{"$ref":"#/components/parameters/limit"},{"$ref":"#/components/parameters/offset"},{"name":"organizationId","description":"The unique identifier of the organization","schema":{"type":"string","minLength":5,"maxLength":5},"required":true,"in":"path"},{"$ref":"#/components/parameters/primaryId"},{"$ref":"#/components/parameters/primaryType"}]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/datacore/sports-apis/volleyball/datacore-api-v1/change-log.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
